Upstream information

CVE-2020-8597 at MITRE

Description

eap.c in pppd in ppp 2.4.2 through 2.4.8 has an rhostname buffer overflow in the eap_request and eap_response functions.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 8.6
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:H/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High High
Availability Impact High Low
CVSSv3 Version 3.1 3.1

Note from the SUSE Security Team

This buffer overflow is mitigated by the FORTIFY_SOURCE overflow checking and also by the Stack Protector Overflow heuristic protection, in SUSE Linux Enterprise 11 and newer products.

SUSE Bugzilla entry: 1162610 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • ppp >= 2.4.7-4.3.1
Patchnames:
HPE-Helion-OpenStack-8-2020-490
SUSE Enterprise Storage 5
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-Storage-5-2020-490
SUSE Linux Enterprise Desktop 12 SP4
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2020-490
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • ppp >= 2.4.7-5.3.1
  • ppp-devel >= 2.4.7-5.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-489
SUSE Linux Enterprise Module for Desktop Applications 15
  • ppp >= 2.4.7-5.3.1
  • ppp-devel >= 2.4.7-5.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2020-489
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • ppp >= 2.4.7-5.3.1
  • ppp-modem >= 2.4.7-5.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-489
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • ppp >= 2.4.7-5.3.1
  • ppp-modem >= 2.4.7-5.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2020-489
SUSE Linux Enterprise Point of Sale 11 SP3
  • ppp >= 2.4.5.git-2.32.3.1
Patchnames:
sleposp3-ppp-14292
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-490
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • ppp >= 2.4.5.git-2.32.3.1
Patchnames:
slessp4-ppp-14292
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2020-490
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-490
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-490
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-490
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-490
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-490
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-490
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-490
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-490
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2020-490
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-490
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-490
SUSE Linux Enterprise Software Development Kit 12 SP4
  • ppp >= 2.4.7-4.3.1
  • ppp-devel >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-490
SUSE Linux Enterprise Software Development Kit 12 SP5
  • ppp >= 2.4.7-4.3.1
  • ppp-devel >= 2.4.7-4.3.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-490
SUSE OpenStack Cloud 7
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-490
SUSE OpenStack Cloud 8
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-490
SUSE OpenStack Cloud Crowbar 8
  • ppp >= 2.4.7-4.3.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-490
openSUSE Leap 15.1
  • ppp >= 2.4.7-lp151.5.3.1
  • ppp-debuginfo >= 2.4.7-lp151.5.3.1
  • ppp-debugsource >= 2.4.7-lp151.5.3.1
  • ppp-devel >= 2.4.7-lp151.5.3.1
  • ppp-modem >= 2.4.7-lp151.5.3.1
Patchnames:
openSUSE-2020-286


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15 Module for Desktop Applications ppp Released
SUSE Linux Enterprise 15-SP1 Module for Desktop Applications ppp Released
SUSE Linux Enterprise 15-SP2 Module for Desktop Applications ppp Released
SUSE Linux Enterprise High Performance Computing 12 SP4 ppp Released
SUSE Linux Enterprise High Performance Computing 12 SP5 ppp Released
SUSE Linux Enterprise Server 11 SP1 ppp Released
SUSE Linux Enterprise Server 11 SP3 ppp Released
SUSE Linux Enterprise Server 11 SP4 LTSS ppp Released
SUSE Linux Enterprise Server 12 SP1 LTSS ppp Released
SUSE Linux Enterprise Server 12 SP2 BCL ppp Released
SUSE Linux Enterprise Server 12 SP2 LTSS ppp Released
SUSE Linux Enterprise Server 12 SP3 BCL ppp Released
SUSE Linux Enterprise Server 12 SP3 LTSS ppp Released
SUSE Linux Enterprise Server 12 SP4 ppp Released
SUSE Linux Enterprise Server 12 SP5 ppp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ppp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ppp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ppp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ppp Released
SUSE Linux Enterprise Software Development Kit 12 SP4 ppp Released
SUSE Linux Enterprise Software Development Kit 12 SP5 ppp Released